## 1.41. droplisten_int( integer, integer, integer )

Function Properties
Language: PLPGSQL
Return Type: integer

dropListen (li_origin, li_provider, li_receiver) Process the DROP_LISTEN event, deleting the sl_listen entry for the indicated (origin,provider,receiver) combination.

    declare
    	p_li_origin		alias for $1;
    	p_li_provider	alias for $2;
    	p_li_receiver	alias for $3;
    begin
    	return -1;

    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	delete from sl_listen
    			where li_origin = p_li_origin
    			and li_provider = p_li_provider
    			and li_receiver = p_li_receiver;
    	if found then
    		return 1;
    	else
    		return 0;
    	end if;
    end;